Update App Feature
Update an app feature
Update an app feature.
Request
URI
PATCH
https://api.example.local/v3/apps/{guid}/features/{name}
COPY
Path Parameters
string
guid
Required
The unique identifier for the resource
string
name
Required
name
Possible values are :
ssh,
revisions,
service-binding-k8s,
file-based-vcap-services,
Request Body
{
"enabled": false
}
boolean
enabled
Optional
enabled
Responses
200
OK
Operation doesn't return any data structure
400
Bad Request
Returns
BadRequest
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
401
Unauthorized
Returns
Unauthorized
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
403
Forbidden
Returns
Forbidden
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
404
Not Found
Returns
NotFound
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
422
Unprocessable Entity
Returns
UnprocessableEntity
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
Code Samples
COPY
curl -X PATCH -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '[{}]'
On This Page
Apps Operations
GET
List Apps
POST
Create App
GET
Get App
PATCH
Update App
DELETE
Delete App
POST
Start App
POST
Stop App
POST
Restart App
GET
Get Current Droplet For App
GET
Get Current Droplet Association For App
PATCH
Set Current Droplet For App
POST
Clear Buildpack Cache For Application
GET
Get Env For App
GET
Get Environment Variables For App
PATCH
Update Environment Variables For App
GET
List App Features
GET
Get App Feature
PATCH
Update App Feature
GET
Get Permissions For App
GET
Get Ssh Enabled For App